Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Class InvalidCodeIndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jdi.InvalidCodeIndexException

All Implemented Interfaces:
  Serializable

Deprecated. This exception is no longer thrown

    @Deprecated
    public class InvalidCodeIndexException

extends RuntimeException

Thrown to indicate that the requested operation cannot be completed because the specified code index is not valid.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`InvalidCodeIndexException()` Deprecated.
`InvalidCodeIndexException(String s)` Deprecated.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCodeIndexException

    public InvalidCodeIndexException()

  Deprecated.

### InvalidCodeIndexException

    public InvalidCodeIndexException(String s)

  Deprecated.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD